/* class comment */!!

inherit(Object, #CLIExprNode, #(expr), 2, nil)!!

now(class(CLIExprNode))!!

now(CLIExprNode)!!

/* Compile the node into Actor source. */
Def CLICodeCompile(self)
{
  CLICodeCompile("setCliStatusValue(self, ");
  if expressionEcho(getExecutionEngine(CLIExecEngine))
  then
    CLICodeCompile("displayValue(self, ");
    CLICodeCompile(expr);
    CLICodeCompile(") ");
  else
    CLICodeCompile(expr);
  endif;
  CLICodeCompile(")");
}!!

Def init(self, arg)
{
  expr := arg;
}!!
